Bug 124511 - 1.2 GHz computer running at slower CPU speed (800 MHz)
1.2 GHz computer running at slower CPU speed (800 MHz)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 23:40 EDT by Michael Zingale
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-18 21:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of cat /proc/cpuinfo > cpuinfo.txt (397 bytes, text/plain)
2004-05-26 23:41 EDT, Michael Zingale
no flags Details

  None (edit)
Description Michael Zingale 2004-05-26 23:40:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I have a IBM Thinkpad T23 which has a clean install of Fedora Core 2.
 It is running noticably slower, and looking at /proc/cpuinfo, it
seems that the 1.2 GHz processor is running at 800 MHz.  It seems that
the speedstep is permanently set to a lower CPU frequency -- even when
the machine is plugged in and lots of applications are running.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot FC2
2. Look at /proc/cpuinfo
3.
    

Actual Results:  running at slower speed than it should be

Additional info:
Comment 1 Michael Zingale 2004-05-26 23:41:47 EDT
Created attachment 100618 [details]
output of cat /proc/cpuinfo > cpuinfo.txt

cpuinfo
Comment 2 Arjan van de Ven 2004-05-27 02:00:04 EDT
1) does this go away if you do
chkconfig --level 345 cpuspeed off

cpuspeed is the speedstep daemon that will slow the cpu down when the
machine is idle. It's possible that its somewhat mistuned for you
system. If you're up for it you can tweak the configuration file;

http://carlthompson.net/Software/CPUSpeed

is the homepage of the program, /etc/cpuspeed.conf the configuration file.
Comment 3 Michael Zingale 2004-05-27 21:02:41 EDT
I've stopped cpuspeed as above and rebooted, and the first time, it
showed it running at 1.2 GHz, but now, it is back to 800 MHz.  I am
not sure of what is changed, as cpuspeed is not running now (as shown
from ps -aef).
Comment 4 Michael Zingale 2004-05-27 23:49:25 EDT
Ok, I think I understand what I am seeing.  With cpuspeed disabled,

if I boot with the laptop on battery power, I get 800 MHz all the
time, even if I later plug it in.

if I boot with the laptop plugged in, I get 1.2 GHz.  

I guess the BIOS sets the initial speed, and without the cpuspeed
daemon working properly, there is no change when I switch between
battery and outlet power.

Comment 5 Barry K. Nathan 2004-06-08 22:59:21 EDT
I think there are files under /sys that you can use to change the CPU
speed from the command line (as root). Right now I'm on a PowerBook G3
(fixed at max CPU speed) so I'll have to refresh my memory on the
details later. (Actually, cpufreq support for this PB G3 would be a
nice enhancement, but that's unrelated to this bug.)

Or, you could enable cpuspeed and then "killall -SIGUSR1 cpuspeed" to
have it lock the CPU at 1.2GHz. Then "killall -SIGHUP cpuspeed" to put
it back in the default automatic mode (where it will kick the speed up
if the load stays high for maybe several seconds, IIRC).
Comment 6 Alan Cox 2004-06-18 21:31:48 EDT
Generally cpuspeed will do the right thing anyway - as load rises it
will speed up the CPU. Its got command line options to let you select
policy. See cpuspeed -h


Note You need to log in before you can comment on or make changes to this bug.